[arch-commits] Commit in subversion/repos (5 files)

Paul Mattal paul at archlinux.org
Mon Feb 8 14:00:27 UTC 2010


    Date: Monday, February 8, 2010 @ 09:00:27
  Author: paul
Revision: 67563

Merged revisions 67558,67560,67562 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/subversion/trunk

........
  r67558 | paul | 2010-02-08 08:23:32 -0500 (Mon, 08 Feb 2010) | 2 lines
  
  upgpkg: subversion 1.6.9-1
      update to 1.6.9, resolve FS#15044
........
  r67560 | paul | 2010-02-08 08:24:12 -0500 (Mon, 08 Feb 2010) | 2 lines
  
  upgpkg: subversion 1.6.9-1
      update to 1.6.9, resolve FS#15044
........
  r67562 | paul | 2010-02-08 09:00:09 -0500 (Mon, 08 Feb 2010) | 2 lines
  
  upgpkg: subversion 1.6.9-2
      bump to 1.6.9-2
........

Added:
  subversion/repos/testing-i686/subversion.suppress.deprecation.warnings.patch
    (from rev 67562, subversion/trunk/subversion.suppress.deprecation.warnings.patch)
Modified:
  subversion/repos/testing-i686/	(properties)
  subversion/repos/testing-i686/PKGBUILD
Deleted:
  subversion/repos/testing-i686/sqlite-config.patch
  subversion/repos/testing-i686/subversion-neon.patch

------------------------------------------------+
 PKGBUILD                                       |   68 +++++++++++++----------
 sqlite-config.patch                            |   18 ------
 subversion-neon.patch                          |   62 --------------------
 subversion.suppress.deprecation.warnings.patch |   22 +++++++
 4 files changed, 63 insertions(+), 107 deletions(-)


Property changes on: subversion/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /subversion/trunk:1-67022
   + /subversion/trunk:1-67562

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2010-02-08 14:00:09 UTC (rev 67562)
+++ testing-i686/PKGBUILD	2010-02-08 14:00:27 UTC (rev 67563)
@@ -1,10 +1,10 @@
 # $Id$
-# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
+# Maintainer: Paul Mattal <paul at archlinux.org>
 # Contributor: Jason Chu <jason at archlinux.org>
 
 pkgname=subversion
 pkgver=1.6.9
-pkgrel=1
+pkgrel=2
 pkgdesc="Replacement for CVS, another versioning system (svn)"
 arch=('i686' 'x86_64')
 license=('apache' 'bsd')
@@ -14,7 +14,8 @@
              'sqlite3' 'db>=4.8' 'e2fsprogs' 'gnome-keyring' 'kdelibs')
 source=(http://subversion.tigris.org/downloads/$pkgname-$pkgver.tar.bz2
         svnserve svn svnserve.conf svnmerge.py
-        subversion.rpath.fix.patch)
+        subversion.rpath.fix.patch
+	subversion.suppress.deprecation.warnings.patch)
 
 backup=('etc/xinetd.d/svn' 'etc/conf.d/svnserve')
 url="http://subversion.tigris.org/"
@@ -23,34 +24,45 @@
 optdepends=('gnome-keyring' 'kdeutils-kwallet' 'bash-completion: for svn bash completion')
 
 build() {
-   cd ${srcdir}/${pkgname}-${pkgver}
+   cd ${srcdir}/${pkgname}-${pkgver} || return 1
 
+   # apply patches
    patch -p0 < $srcdir/subversion.rpath.fix.patch || return 1
-   autoreconf
+   patch -p1 -i $srcdir/subversion.suppress.deprecation.warnings.patch \
+               || return 1
+
+   # configure
+   autoreconf || return 1
    ./configure --prefix=/usr --with-apr=/usr --with-apr-util=/usr \
                --with-zlib=/usr --with-neon=/usr --with-apxs \
                --with-sqlite=/usr \
-               --enable-javahl --with-gnome-keyring --with-kwallet
+               --enable-javahl --with-gnome-keyring --with-kwallet || return 1
 
-   (make external-all && make LT_LDFLAGS="-L$Fdestdir/usr/lib" local-all ) || return 1
+   # build
+   (make external-all && make LT_LDFLAGS="-L$Fdestdir/usr/lib" local-all ) \
+               || return 1
 
+   # install
    export LD_LIBRARY_PATH=${pkgdir}/usr/lib:$LD_LIBRARY_PATH
    make DESTDIR=${pkgdir} install || return 1
 
    make DESTDIR=${pkgdir} swig-py || return 1
    make install-swig-py DESTDIR=${pkgdir} || return 1
 
-   mkdir -p ${pkgdir}/usr/lib/python2.6
-   mv ${pkgdir}/usr/lib/svn-python/ ${pkgdir}/usr/lib/python2.6/site-packages || return 1
+   mkdir -p ${pkgdir}/usr/lib/python2.6 || return 1
+   mv ${pkgdir}/usr/lib/svn-python/ ${pkgdir}/usr/lib/python2.6/site-packages \
+               || return 1
 
-   mkdir -p ${pkgdir}/usr/share/subversion
-   install -d -m 755 tools/hook-scripts ${pkgdir}/usr/share/subversion/
-   rm -f ${pkgdir}/usr/share/subversion/hook-scripts/*.in
+   mkdir -p ${pkgdir}/usr/share/subversion || return 1
+   install -d -m 755 tools/hook-scripts ${pkgdir}/usr/share/subversion/ \
+               || return 1
+   rm -f ${pkgdir}/usr/share/subversion/hook-scripts/*.in || return 1
 
    make DESTDIR=${pkgdir} swig-pl || return 1
    make install-swig-pl DESTDIR=${pkgdir} INSTALLDIRS=vendor || return 1
-   rm -f ${pkgdir}/usr/lib/perl5/vendor_perl/auto/SVN/_Core/.packlist
-   rm -rf ${pkgdir}/usr/lib/perl5/core_perl
+   rm -f ${pkgdir}/usr/lib/perl5/vendor_perl/auto/SVN/_Core/.packlist \
+               || return 1
+   rm -rf ${pkgdir}/usr/lib/perl5/core_perl || return 1
 
    make DESTDIR=${pkgdir} swig-rb || return 1
    make install-swig-rb DESTDIR=${pkgdir}  || return 1
@@ -58,24 +70,26 @@
    make DESTDIR=${pkgdir} javahl || return 1
    make DESTDIR=${pkgdir} install-javahl || return 1
 
-   mkdir -p ${pkgdir}/etc/rc.d
-   mkdir -p ${pkgdir}/etc/xinetd.d
-   mkdir -p ${pkgdir}/etc/conf.d
+   mkdir -p ${pkgdir}/etc/rc.d || return 1
+   mkdir -p ${pkgdir}/etc/xinetd.d || return 1
+   mkdir -p ${pkgdir}/etc/conf.d || return 1
 
-   install -m 755 ${srcdir}/svnserve ${pkgdir}/etc/rc.d
-   install -m 644 ${srcdir}/svn ${pkgdir}/etc/xinetd.d
-   install -m 644 ${srcdir}/svnserve.conf ${pkgdir}/etc/conf.d/svnserve
-   #install -m 755 ${srcdir}/subversion-$pkgver/contrib/client-side/svnmerge/svnmerge.py ${pkgdir}/usr/bin/svnmerge
-   install -m 755 ${srcdir}/svnmerge.py ${pkgdir}/usr/bin/svnmerge
-   install -D -m 644 ${srcdir}/subversion-$pkgver/COPYING ${pkgdir}/usr/share/licenses/$pkgname/LICENSE
+   install -m 755 ${srcdir}/svnserve ${pkgdir}/etc/rc.d || return 1
+   install -m 644 ${srcdir}/svn ${pkgdir}/etc/xinetd.d || return 1
+   install -m 644 ${srcdir}/svnserve.conf ${pkgdir}/etc/conf.d/svnserve \
+               || return 1
+   install -m 755 ${srcdir}/svnmerge.py ${pkgdir}/usr/bin/svnmerge || return 1
+   install -D -m 644 ${srcdir}/subversion-$pkgver/COPYING \
+               ${pkgdir}/usr/share/licenses/$pkgname/LICENSE || return 1
 
-   #bash completion
-   install -Dm 644 ${srcdir}/${pkgname}-${pkgver}/tools/client-side/bash_completion ${pkgdir}/etc/bash_completion.d/subversion || return 1
-
+   # bash completion
+   install -Dm 644 ${srcdir}/${pkgname}-${pkgver}/tools/client-side/bash_completion \
+               ${pkgdir}/etc/bash_completion.d/subversion || return 1
 }
 md5sums=('9c30a47b1d48664e7afef68bb4834c53'
          'a2b029e8385007ffb99b437b30521c90'
          'a0db6dd43af33952739b6ec089852630'
          'c459e299192552f61578f3438abf0664'
          '21bf3aa5b797ce98eba8307f30e9c070'
-         '6b4340ba9d8845cd8497e013ae01be3f')
+         '6b4340ba9d8845cd8497e013ae01be3f'
+         '1166f3b7413d7e7450299b3525680bbe')

Deleted: testing-i686/sqlite-config.patch
===================================================================
--- testing-i686/sqlite-config.patch	2010-02-08 14:00:09 UTC (rev 67562)
+++ testing-i686/sqlite-config.patch	2010-02-08 14:00:27 UTC (rev 67563)
@@ -1,18 +0,0 @@
-diff -Nur subversion-1.6.1.orig/subversion/libsvn_subr/sqlite.c subversion-1.6.1/subversion/libsvn_subr/sqlite.c
---- subversion-1.6.1.orig/subversion/libsvn_subr/sqlite.c	2009-02-28 03:37:29.000000000 +1100
-+++ subversion-1.6.1/subversion/libsvn_subr/sqlite.c	2009-04-30 07:54:58.000000000 +1000
-@@ -503,8 +503,12 @@
-                               "thread-safe mode"));
- #endif
- #if SQLITE_VERSION_AT_LEAST(3,6,0)
--  SQLITE_ERR_MSG(sqlite3_config(SQLITE_CONFIG_MULTITHREAD),
--                 "Could not configure SQLite");
-+  /* If SQLite has been already initialized, sqlite3_config() returns
-+     SQLITE_MISUSE. */
-+  int err = sqlite3_config(SQLITE_CONFIG_MULTITHREAD);
-+  if (err != SQLITE_OK && err != SQLITE_MISUSE)
-+    return svn_error_create(SQLITE_ERROR_CODE(err), NULL,
-+                            "Could not configure SQLite");
-   SQLITE_ERR_MSG(sqlite3_initialize(), "Could not initialize SQLite");
- #endif
- 

Deleted: testing-i686/subversion-neon.patch
===================================================================
--- testing-i686/subversion-neon.patch	2010-02-08 14:00:09 UTC (rev 67562)
+++ testing-i686/subversion-neon.patch	2010-02-08 14:00:27 UTC (rev 67563)
@@ -1,62 +0,0 @@
-Index: subversion-1.4.6/build/ac-macros/neon.m4
-===================================================================
---- subversion-1.4.6.orig/build/ac-macros/neon.m4
-+++ subversion-1.4.6/build/ac-macros/neon.m4
-@@ -50,14 +50,18 @@ AC_DEFUN(SVN_LIB_NEON,
-       NEON_VERSION=`cat $abs_srcdir/neon/.version`
-       AC_MSG_RESULT([$NEON_VERSION])
- 
--      if test -n "`echo \"$NEON_VERSION\" | grep '^0\.2[[56]]\.'`" ; then
-+      if test -n ["`echo "$NEON_VERSION" | grep '^0\.2[5-8]\.'`"] ; then
-         AC_DEFINE_UNQUOTED([SVN_NEON_0_25], [1],
-                            [Define to 1 if you have Neon 0.25 or later.])
-       fi
--      if test -n "`echo \"$NEON_VERSION\" | grep '^0\.26\.'`" ; then
-+      if test -n ["`echo "$NEON_VERSION" | grep '^0\.2[6-8]\.'`"] ; then
-         AC_DEFINE_UNQUOTED([SVN_NEON_0_26], [1],
-                            [Define to 1 if you have Neon 0.26 or later.])
-       fi
-+      if test -n ["`echo "$NEON_VERSION" | grep '^0\.2[7-8]\.'`"] ; then
-+        AC_DEFINE_UNQUOTED([SVN_NEON_0_27], [1],
-+                           [Define to 1 if you have Neon 0.27 or later.])
-+      fi
- 
-       for svn_allowed_neon in $NEON_ALLOWED_LIST; do
-         if test "$NEON_VERSION" = "$svn_allowed_neon" ||
-@@ -127,14 +131,18 @@ AC_DEFUN(SVN_NEON_CONFIG,
-       NEON_VERSION=`$neon_config --version | sed -e 's/^neon //'`
-       AC_MSG_RESULT([$NEON_VERSION])
- 
--      if test -n "`echo \"$NEON_VERSION\" | grep '^0\.2[[56]]\.'`" ; then
-+      if test -n ["`echo "$NEON_VERSION" | grep '^0\.2[5-8]\.'`"] ; then
-         AC_DEFINE_UNQUOTED([SVN_NEON_0_25], [1],
-                            [Define to 1 if you have Neon 0.25 or later.])
-       fi
--      if test -n "`echo \"$NEON_VERSION\" | grep '^0\.26\.'`" ; then
-+      if test -n ["`echo "$NEON_VERSION" | grep '^0\.2[6-8]\.'`"] ; then
-         AC_DEFINE_UNQUOTED([SVN_NEON_0_26], [1],
-                            [Define to 1 if you have Neon 0.26 or later.])
-       fi
-+      if test -n ["`echo "$NEON_VERSION" | grep '^0\.2[7-8]\.'`"] ; then
-+        AC_DEFINE_UNQUOTED([SVN_NEON_0_27], [1],
-+                           [Define to 1 if you have Neon 0.27 or later.])
-+      fi
- 
-       for svn_allowed_neon in $NEON_ALLOWED_LIST; do
-         if test "$NEON_VERSION" = "$svn_allowed_neon" ||
-Index: subversion-1.4.6/subversion/libsvn_ra_dav/session.c
-===================================================================
---- subversion-1.4.6.orig/subversion/libsvn_ra_dav/session.c
-+++ subversion-1.4.6/subversion/libsvn_ra_dav/session.c
-@@ -575,7 +575,11 @@ typedef struct neonprogress_baton_t
- } neonprogress_baton_t;
- 
- static void
-+#ifdef SVN_NEON_0_27
-+ra_dav_neonprogress(void *baton, ne_off_t progress, ne_off_t total)
-+#else
- ra_dav_neonprogress(void *baton, off_t progress, off_t total)
-+#endif /* SVN_NEON_0_27 */
- {
-   const neonprogress_baton_t *neonprogress_baton = baton;
-   if (neonprogress_baton->progress_func)

Copied: subversion/repos/testing-i686/subversion.suppress.deprecation.warnings.patch (from rev 67562, subversion/trunk/subversion.suppress.deprecation.warnings.patch)
===================================================================
--- testing-i686/subversion.suppress.deprecation.warnings.patch	                        (rev 0)
+++ testing-i686/subversion.suppress.deprecation.warnings.patch	2010-02-08 14:00:27 UTC (rev 67563)
@@ -0,0 +1,22 @@
+diff -urN subversion-1.6.9/subversion/bindings/swig/python/svn/core.py subversion-1.6.9-fixed/subversion/bindings/swig/python/svn/core.py
+--- subversion-1.6.9/subversion/bindings/swig/python/svn/core.py	2009-02-13 11:22:26.000000000 -0500
++++ subversion-1.6.9-fixed/subversion/bindings/swig/python/svn/core.py	2010-02-08 07:46:29.000000000 -0500
+@@ -19,6 +19,7 @@
+ from libsvn.core import *
+ import libsvn.core as _libsvncore
+ import atexit as _atexit
++import warnings
+ 
+ class SubversionException(Exception):
+   def __init__(self, message=None, apr_err=None, child=None,
+@@ -44,7 +45,9 @@
+     Exception.__init__(self, *args)
+ 
+     self.apr_err = apr_err
+-    self.message = message
++    with warnings.catch_warnings():
++        warnings.simplefilter("ignore", DeprecationWarning)
++        self.message = message
+     self.child = child
+     self.file = file
+     self.line = line




More information about the arch-commits mailing list